> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get contacts

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/contacts/{contactId}



Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/users/contacts/get

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `contactId` (string, required) — The unique identifier of a person in the contacts address book.

## Response

### 200

Successful response.

- `contacts` (list of contact, optional)
- `endPosition` (string, optional) — The last position in the result set.
- `nextUri` (string, optional) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `previousUri` (string, optional) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `resultSetSize` (string, optional) — The number of results returned in this response.
- `startPosition` (string, optional) — Starting position of the current result set.
- `totalSetSize` (string, optional) — The total number of items in the search's result set. It will always be greater than or equal to the value of the `resultSetSize` field.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### contact

- `contactId` (string, optional) — The unique identifier of a person in the contacts address book.
- `contactPhoneNumbers` (list of contactPhoneNumber, optional) — A list of the contact's phone numbers. **Note**: The phone numbers associated with shared contacts do not display to users other than the user who added the contact. Additionally, in the following scenarios, the phone number of a shared contact does not populate automatically for anyone other than the user who added the contact: - Sending an envelope by using SMS - Using phone authentication You must ask the user who added the contact for the phone number and then manually enter it into the authentication box.
- `contactUri` (string, optional) — The URI for retrieving information about the contact.
- `emails` (list of string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional)
- `organization` (string, optional)
- `shared` (string, optional)
- `signingGroup` (string, optional)
- `signingGroupName` (string, optional) — The display name for the signing group. Maximum Length: 100 characters.

### contactPhoneNumber

- `phoneNumber` (string, optional)
- `phoneType` (string, optional)

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Response**

```json
{
  "contacts": [
    {
      "contactId": "string",
      "contactPhoneNumbers": [
        {
          "phoneNumber": "string",
          "phoneType": "string"
        }
      ],
      "contactUri": "string",
      "emails": [
        "string"
      ],
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "name": "string",
      "organization": "string",
      "shared": "string",
      "signingGroup": "string",
      "signingGroupName": "string"
    }
  ],
  "endPosition": "string",
  "nextUri": "string",
  "previousUri": "string",
  "resultSetSize": "string",
  "startPosition": "string",
  "totalSetSize": "string"
}
```